Bug 733807 - fdisk unable to remove GPT format
Summary: fdisk unable to remove GPT format
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: util-linux-ng
Version: 6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Karel Zak
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 23:17 UTC by Todd
Modified: 2011-11-02 16:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-02 10:45:39 UTC


Attachments (Terms of Use)

Description Todd 2011-08-26 23:17:53 UTC
Hi All,

Sorry, "fdisk" is not on the list of components.

I am coming from Scientific Linux 6.0.  Would some kind Red Hat guy please fix this for me?

My office computer is 64 bit Scientific Linux (SL).  I sell a fair amount of G-Drives for external backup to my Windows customers.  G-Drives come with excellent heat sinks, vastly increasing reliability.  

Problem: G-Drives come with what is called "Protected GPT" format (they are targeted at Apple customers).  Windows does not recognize GPT and will not remove it.  SL6's fdisk does recognize GPT, says so, and refuses to remove the GPT partition.

This should be a really easy to fix as the work around is to boot off a Red Hat Fedora Core 15 Live CD and remove the partition with FC15's fdisk, which also recognizes GPT but has no problem deleting it when requested.

The work around is a pain in the neck as I have to shut everything off I am doing and boot off the Live CD.  Wastes a lot of time.

I would really appreciate you guys fixing this.

Many thanks,
-T

Comment 2 RHEL Product and Program Management 2011-08-26 23:48:03 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 3 Todd 2011-08-27 00:51:29 UTC
What "support representative"?  

I made it clear that I was coming from the community.  What I was looking for is someone at Red Hat to volunteer to take this bug and get it fixed.  Has Red Hat stopped the practice of taking bugs from the community?

If not here, where to users from the "community" report bugs?

Many thanks,
-T

Comment 4 Garrett Holmstrom 2011-08-27 04:17:12 UTC
(In reply to comment #3)
> What "support representative"?  
> 
> I made it clear that I was coming from the community.  What I was looking for
> is someone at Red Hat to volunteer to take this bug and get it fixed.  Has Red
> Hat stopped the practice of taking bugs from the community?
> 
> If not here, where to users from the "community" report bugs?

This is the right place.  The canned response you got essentially means that bugs which go through Red Hat's official support process carry more weight than issues filed directly in Bugzilla.  That does not invalidate this bug; it merely means that it will have a relatively low priority unless someone with a paid support contract gives it a higher priority by raising the issue with Technical Support.

https://access.redhat.com/support/policy/

Comment 5 Todd 2011-08-27 05:01:36 UTC
This is good to hear.  The canned response is a bit insulting and should probably have its wording reworked.

Comment 6 Karel Zak 2011-11-02 10:45:39 UTC
Todd, fdisk is able to detect GPG (to avoid some misinterpretations), but nothing other. There is no code to support any work with GPT and this feature is not planned for RHEL6.

If you want to remove/modify GPT then use GNU Parted:

# parted /dev/sdb
GNU Parted 2.3
Using /dev/sdb
Welcome to GNU Parted! Type 'help' to view a list of commands.
(parted) p                                                                
Model: Linux scsi_debug (scsi)
Disk /dev/sdb: 1049MB
Sector size (logical/physical): 512B/512B
Partition Table: gpt

Number  Start   End     Size    File system  Name  Flags
 1      1049kB  99.6MB  98.6MB               1

(parted) mklabel mbr                                                 
Warning: The existing disk label on /dev/sdb will be destroyed and all data on
this disk will be lost. Do you want to continue?
Yes/No? Yes                                                               

(parted) print                                                            
Model: Linux scsi_debug (scsi)
Disk /dev/sdb: 1049MB
Sector size (logical/physical): 512B/512B
Partition Table: msdos


Thanks.

Comment 7 Karel Zak 2011-11-02 10:46:52 UTC
(In reply to comment #6)
> Todd, fdisk is able to detect GPG (to avoid some misinterpretations)

 s/GPG/GPT/ :)

Comment 8 Todd 2011-11-02 16:17:07 UTC
(In reply to comment #6)
> Todd, fdisk is able to detect GPG (to avoid some misinterpretations), but
> nothing other. There is no code to support any work with GPT and this feature
> is not planned for RHEL6.

fdisk from Fedora Core 15 does remove GPT partitions (I have used my FC15 live CD to remove GPT partition out in the field on occasion).  Is there some reason why you can not add this code into RHEL6?  Seems to me that the coding has pretty much already been done; you just have to port it over.  Maybe there is something I don't know about that make fc15's fdisk code incompatible with RHEL6's?

> 
> If you want to remove/modify GPT then use GNU Parted:

Thank you.  I have never been able to get gparted to remove a GPT partition.  Possible because I never removed the label.  

I eventually wound up using gdisk-0.7.2-1.el6.x86_64.rpm and its "destroy" function in "advanced".

-T


Note You need to log in before you can comment on or make changes to this bug.